<service>
    <id>ConnSolace</id>
    <name>ConnSolace</name>
    <env name="CUSTOM_ARGUMENTS" value="-Xmx512m"/>

    <env name="APP_HOME" value="%BASE%\.."/>
    <env name="JRE_HOME" value="%APP_HOME%\jre\bin\"/>
    <env name="LOGS_DIR" value="%APP_HOME%\logs"/>
    <env name="CLASSPATH" value="%APP_HOME%\lib\*"/>   
    <env name="JAVA_ARGUMENTS" value="-XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath=%LOGS_DIR% -Dlog_folder=%LOGS_DIR% -Dlogging.config=%APP_HOME%\config\logback.xml"/>
    <env name="JAVA_CLASS" value="-jar %APP_HOME%\lib\ConnSolace.jar"/>
    <env name="APPLICATION_ARGUMENTS" value="--spring.config.location=%APP_HOME%\config\application.properties"/>
    <workingdirectory>%APP_HOME%</workingdirectory>
    <description>This service runs the ConnSolace</description>
    <executable>%JRE_HOME%javaw.exe</executable>
    <startarguments>%CUSTOM_ARGUMENTS% %JAVA_ARGUMENTS% %JAVA_CLASS% %APPLICATION_ARGUMENTS%</startarguments>
    <logpath>%LOGS_DIR%</logpath>
    <log mode="roll-by-size">
        <sizeThreshold>102400</sizeThreshold>
        <keepFiles>10</keepFiles>
    </log>
</service>